Subject: Re: [PATCH 0/3] Output fixes for --remerge-diff

From: Junio C Hamano <[email-masked]>
Date: Thu, 01 Sep 2022 12:54:20 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> We've discussed doing it that way before. I wouldn't be fundamentally
> opposed, but I do think we're far enough along the way to being
> leak-free that we'd want to mark more than just a "top-level" command as
> leak-free.

Two things.  Seeing the leak-check breakage quite often, I doubt how
much trust I can place in your "far enough along the way" statement.
Also, I do not think we thought the alternative was to mark only the
top-level.  The test could inspect the crash after the fact, and say
"ah, allocation made by xcalloc() called from this and that functions
are still known to be leaky, so do not stop and mark the CI job a
failure for this one", for example?